=head1 NAME

B<moncfg> - Configures a 3rd party monitoring software to monitor the xCAT cluster.



=head1 SYNOPSIS

I<moncfg [-h| --help]>

I<moncfg [-v| --version]>

I<moncfg name [noderange] [-r|--remote]>


=head1 DESCRIPTION

This command is used to configure a 3rd party monitoring software to monitor the xCAT cluster. For example, it modifies the configration file for the monitoring software so that the nodes can be included in the monitoring domain. The operation is performed on the management node and the service nodes of the given nodes. The operation will also be performed on the nodes if the I<-r> option is specified, though the configuration of the nodes is usually performed during the node deployment stage. 


=head1 Parameters

I<name> is the name of the monitoring plug-in module. For example, if the the I<name> is called I<xxx>, then the actual file name that the xcatd looks for is I</opt/xcat/lib/perl/xCAT_monitoring/xxx.pm>. Use I<monls -a> command to list all the monitoring plug-in modules that can be used.

I<noderange> specifies the nodes to be monitored. If omitted, all nodes will be monitored.

=head1 OPTIONS


B<-h | --help>          Display usage message.

B<-r | --remote>        Specifies that the operation will also be performed on the nodes.

B<-v | --version >      Command Version.


=head1 RETURN VALUE

0 The command completed successfully.

1 An error has occurred.

=head1 EXAMPLES

1. To configure the management node and the service nodes for ganglia monitoring, enter:

  moncfg gangliamon


1. To configure the management node, nodes and their service nodes for ganglia monitoring, enter:

  moncfg gangliamon -r


=head1 FILES

/opt/xcat/bin/moncfg


=head1 SEE ALSO

L<monls(1)|monls.1>, L<mondecfg(1)|mondecfg.1>, L<monadd(1)|monadd.1>, L<monrm(1)|monrm.1>, L<monstart(1)|monstart.1>, L<monstop(1)|monstop.1>



